# roadstop.cpp File Reference

Implementation of the roadstop base class. More...

`#include "stdafx.h"`
`#include "roadveh.h"`
`#include "core/pool_func.hpp"`
`#include "roadstop_base.h"`
`#include "station_base.h"`
`#include "vehicle_func.h"`
`#include "landscape.h"`

Go to the source code of this file.

## Data Structures

struct | RoadStopEntryRebuilderHelper
| Helper for finding RVs in a road stop. More...

## Typedefs

typedef std::list< const RoadVehicle * > | RVList
| A list of road vehicles.

## Functions

RoadStopPool | _roadstop_pool ("RoadStop")
Vehicle * | FindVehiclesInRoadStop (Vehicle *v, void *data)
| Add road vehicles to the station's list if needed.
void | InitializeRoadStops ()

## Detailed Description

Implementation of the roadstop base class.

Definition in file roadstop.cpp.

## Function Documentation

Vehicle* FindVehiclesInRoadStop | ( | Vehicle * | v,
|  | void * | data |
| ) |  |  |

Add road vehicles to the station's list if needed.

Parameters:

  | v | the found vehicle
  | data | the extra data used to make our decision

Returns:
  always NULL

Definition at line 328 of file roadstop.cpp.

References RoadStopEntryRebuilderHelper::dir, DirToDiagDir(), SpecializedVehicle< RoadVehicle, VEH_ROAD >::From(), RVSB_IN_ROAD_STOP, RoadVehicle::state, VEH_ROAD, and RoadStopEntryRebuilderHelper::vehicles.

Referenced by RoadStop::Entry::Rebuild().